---
layout: "layout"
title: Tools
---
/ Fix for fixed navbar because there is only is-fullheight-with-navbar
/ https://github.com/jgthms/bulma/issues/3205
section.hero
  .hero-body

h1.title.is-1.has-text-centered#tools Tools

.columns
  .column.is-half
    - data.projects.tools.tools.each_with_index do |tool, i|
      - if i % 2 == 0
        article.media
          figure.media-left
            p.image.is-64x64
              - if tool.logo
                img src=tool.logo
              - else
                span.icon.is-large
                  i.fas.fa-hammer.fa-3x
          .media-content
            .content
              p.has-text-weight-bold = tool.title
              p = tool.description
            nav.level.is-mobile
              .level-left
                a.level-item href=tool.website target='_blank' rel='noopener'
                  span.icon.is-small
                    i.fas.fa-globe-europe
                a.level-item href=tool.source target='_blank' rel='noopener'
                  span.icon.is-small
                    i.fab.fa-git-alt
  .column.is-half
    - data.projects.tools.tools.each_with_index do |tool, i|
      - if i % 2 == 1
        article.media
          figure.media-left
            p.image.is-64x64
              - if tool.logo
                img src=tool.logo
              - else
                span.icon.is-large
                  i.fas.fa-hammer.fa-3x
          .media-content
            .content
              p.has-text-weight-bold = tool.title
              p = tool.description
            nav.level.is-mobile
              .level-left
                a.level-item href=tool.website target='_blank' rel='noopener'
                  span.icon.is-small
                    i.fas.fa-globe-europe
                a.level-item href=tool.source target='_blank' rel='noopener'
                  span.icon.is-small
                    i.fab.fa-git-alt

h1.title.is-1.has-text-centered#exploits Exploits

.columns
  .column.is-half
    - data.projects.exploits.exploits.each_with_index do |exp, i|
      - if i % 2 == 0
        article.media
          figure.media-left
            p.image.is-64x64
              span.icon.is-large
                i.fas.fa-spider.fa-3x
          .media-content
            .content
              p.has-text-weight-bold = exp.title
              p = exp.description
            nav.level.is-mobile
              .level-left
                a.level-item href=exp.source target='_blank' rel='noopener'
                  span.icon.is-small
                    i.fab.fa-git-alt
  .column.is-half
    - data.projects.exploits.exploits.each_with_index do |exp, i|
      - if i % 2 == 1
        article.media
          figure.media-left
            p.image.is-64x64
              span.icon.is-large
                i.fas.fa-spider.fa-3x
          .media-content
            .content
              p.has-text-weight-bold = exp.title
              p = exp.description
            nav.level.is-mobile
              .level-left
                a.level-item href=exp.source target='_blank' rel='noopener'
                  span.icon.is-small
                    i.fab.fa-git-alt

h1.title.is-1.has-text-centered#others Other projects

.columns
  .column.is-half
    - data.projects.projects.projects.each_with_index do |proj, i|
      - if i % 2 == 0
        article.media
          figure.media-left
            p.image.is-64x64
              span.icon.is-large
                i.fas.fa-puzzle-piece.fa-3x
          .media-content
            .content
              p.has-text-weight-bold = proj.title
              p = proj.description
            nav.level.is-mobile
              .level-left
                a.level-item href=proj.website target='_blank' rel='noopener'
                  span.icon.is-small
                    i.fas.fa-globe-europe
                a.level-item href=proj.source target='_blank' rel='noopener'
                  span.icon.is-small
                    i.fab.fa-git-alt
  .column.is-half
    - data.projects.projects.projects.each_with_index do |proj, i|
      - if i % 2 == 1
        article.media
          figure.media-left
            p.image.is-64x64
              span.icon.is-large
                i.fas.fa-puzzle-piece.fa-3x
          .media-content
            .content
              p.has-text-weight-bold = proj.title
              p = proj.description
            nav.level.is-mobile
              .level-left
                a.level-item href=proj.website target='_blank' rel='noopener'
                  span.icon.is-small
                    i.fas.fa-globe-europe
                a.level-item href=proj.source target='_blank' rel='noopener'
                  span.icon.is-small
                    i.fab.fa-git-alt

h1.title.is-1.has-text-centered#challenges Challenges

.columns
  .column.is-half
    - data.projects.challenges.challenges.each_with_index do |chall, i|
      - if i % 2 == 0
        article.media
          figure.media-left
            p.image.is-64x64
              span.icon.is-large
                i.fas.fa-dragon.fa-3x
          .media-content
            .content
              p.has-text-weight-bold = chall.title
              p = chall.description
            nav.level.is-mobile
              .level-left
                a.level-item href=chall.source target='_blank' rel='noopener'
                  span.icon.is-small
                    i.fas.fa-link
  .column.is-half
    - data.projects.challenges.challenges.each_with_index do |chall, i|
      - if i % 2 == 1
        article.media
          figure.media-left
            p.image.is-64x64
              span.icon.is-large
                i.fas.fa-dragon.fa-3x
          .media-content
            .content
              p.has-text-weight-bold = chall.title
              p = chall.description
            nav.level.is-mobile
              .level-left
                a.level-item href=chall.source target='_blank' rel='noopener'
                  span.icon.is-small
                    i.fas.fa-link

